OCSPResponseStatus (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.ocsp

## Class OCSPResponseStatus

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ocsp.OCSPResponseStatus

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class OCSPResponseStatus
      extends ASN1Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `INTERNAL_ERROR`
    `static int` | `MALFORMED_REQUEST`
    `static int` | `SIG_REQUIRED`
    `static int` | `SUCCESSFUL`
    `static int` | `TRY_LATER`
    `static int` | `UNAUTHORIZED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OCSPResponseStatus(int value)` The OCSPResponseStatus enumeration.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OCSPResponseStatus` | `getInstance(java.lang.Object obj)`
    `java.math.BigInteger` | `getValue()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SUCCESSFUL

          public static final int SUCCESSFUL

      See Also:
        Constant Field Values

    - #### MALFORMED_REQUEST

          public static final int MALFORMED_REQUEST

      See Also:
        Constant Field Values

    - #### INTERNAL_ERROR

          public static final int INTERNAL_ERROR

      See Also:
        Constant Field Values

    - #### TRY_LATER

          public static final int TRY_LATER

      See Also:
        Constant Field Values

    - #### SIG_REQUIRED

          public static final int SIG_REQUIRED

      See Also:
        Constant Field Values

    - #### UNAUTHORIZED

          public static final int UNAUTHORIZED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OCSPResponseStatus

          public OCSPResponseStatus(int value)

      The OCSPResponseStatus enumeration.

           OCSPResponseStatus ::= ENUMERATED {
               successful            (0),  --Response has valid confirmations
               malformedRequest      (1),  --Illegal confirmation request
               internalError         (2),  --Internal error in issuer
               tryLater              (3),  --Try again later
                                           --(4) is not used
               sigRequired           (5),  --Must sign the request
               unauthorized          (6)   --Request unauthorized
           }

  - ### Method Detail

    - #### getInstance

          public static OCSPResponseStatus getInstance(java.lang.Object obj)

    - #### getValue

          public java.math.BigInteger getValue()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.